WarpBuild LogoWarpBuild Docs
Stacks

GET /stacks/{id}/errors

Lists all errors associated with a specific stack. Use this to diagnose issues with stack provisioning or operations. Supports pagination with `page` and `per_page` query parameters.

GET
/stacks/{id}/errors

Authorization

Authorization<token>

In: header

Path Parameters

id*string

Stack ID

Query Parameters

end_time?string
page?integer
per_page?integer
start_time?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/stacks/string/errors"
{  "errors": [    {      "category": "string",      "created_at": "string",      "error": "string",      "id": "string",      "metadata": {        "instance_id": "string",        "instance_preference_list": [          {            "availability_zone": "string",            "instance_type": "string",            "priority": 0,            "subnet_id": "string"          }        ],        "requested_labels": [          "string"        ]      },      "operation": "string",      "stack_id": "string"    }  ],  "page": 0,  "per_page": 0,  "total_pages": 0,  "total_rows": 0}